package com.ssj.service.sys.fx.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.fx.domain.MerchantMealOrder;
import com.ssj.framework.core.common.service.BaseService;

public interface MerchantMealOrderService extends BaseService<MerchantMealOrder, String> {
	
	public Page<Map<String, Object>> findMerchantMealOrderByPage(Map<String, Object> params, Pageable initPage);
	
	public List<MerchantMealOrder> findMerchantMealOrderAll(String merchantId);
	
	public MerchantMealOrder getMerchantMealOrderByCurTime(String merchantId);
	
	public MerchantMealOrder getMerchantMealOrderByMaxCreateTime(String merchantId);
	
}
